Package org.duckdb

# Class DuckDBAppender

java.lang.Object
org.duckdb.DuckDBAppender

All Implemented Interfaces:
  `AutoCloseable`

public class DuckDBAppender extends Object implements AutoCloseable

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ByteBuffer`
`appender_ref`

## Constructor Summary

Constructors
Constructor
Description
`DuckDBAppender(DuckDBConnection con, String schemaName, String tableName)`

## Method Summary

Modifier and Type
Method
Description
`void`
`append(boolean value)`
`void`
`append(byte value)`
`void`
`append(double value)`
`void`
`append(float value)`
`void`
`append(int value)`
`void`
`append(long value)`
`void`
`append(short value)`
`void`
`append(String value)`
`void`
`beginRow()`
`void`
`close()`
`void`
`endRow()`
`protected void`
`finalize()`
`void`
`flush()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### appender_ref

protected ByteBuffer appender_ref

## Constructor Details

### DuckDBAppender

public DuckDBAppender(DuckDBConnection con, String schemaName, String tableName) throws SQLException

Throws:
  `SQLException`

## Method Details

### beginRow

public void beginRow() throws SQLException

Throws:
  `SQLException`

### endRow

public void endRow() throws SQLException

Throws:
  `SQLException`

### flush

public void flush() throws SQLException

Throws:
  `SQLException`

### append

public void append(boolean value) throws SQLException

Throws:
  `SQLException`

### append

public void append(byte value) throws SQLException

Throws:
  `SQLException`

### append

public void append(short value) throws SQLException

Throws:
  `SQLException`

### append

public void append(int value) throws SQLException

Throws:
  `SQLException`

### append

public void append(long value) throws SQLException

Throws:
  `SQLException`

### append

public void append(float value) throws SQLException

Throws:
  `SQLException`

### append

public void append(double value) throws SQLException

Throws:
  `SQLException`

### append

public void append(String value) throws SQLException

Throws:
  `SQLException`

### finalize

protected void finalize() throws Throwable

Overrides:
  `finalize` in class `Object`
Throws:
  `Throwable`

### close

public void close() throws SQLException

Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `SQLException`